about 1 month ago - AndrewT - Direct link
Strictly speaking the M1/M2 Macs are not supported hardware for this game, or indeed any of our games. However the games do generally run.

Are you on the latest MacOS version for it?

And what happens if you run eu4.app directly?